> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer-test.atomicwork.com/llms.txt.
> For full documentation content, see https://developer-test.atomicwork.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-test.atomicwork.com/_mcp/server.

# Update User

PUT https://{tenant}.atomicwork.com/api/v1/users/{user_id}
Content-Type: application/json

Reference: https://developer-test.atomicwork.com/api-reference/atomicwork-public-api/users/putapi-v-1-users-user-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/v1/users/{user_id}:
    put:
      operationId: putapi-v-1-users-user-id
      summary: Update User
      tags:
        - subpackage_users
      parameters:
        - name: user_id
          in: path
          description: ''
          required: true
          schema:
            type: integer
            format: int64
        - name: X-Api-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Users_putapi_v1_users__user_id_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                first_name:
                  type: string
                middle_name:
                  type: string
                last_name:
                  type: string
                personal_email:
                  type: string
                  format: email
                timezone:
                  type: string
                  default: America/Los_Angeles
                language:
                  type: string
                state:
                  type: string
                city:
                  type: string
                country:
                  type: string
                department:
                  type: integer
                  format: int64
                team:
                  type: integer
                  format: int64
                level:
                  type: string
                title:
                  type: string
                address:
                  type: string
                originally_hired:
                  type: string
                  format: date
                joined_on:
                  type: string
                  format: date
                terminated_on:
                  type: string
                  format: date
                employee_id:
                  type: string
                date_of_birth:
                  type: string
                  format: date
                phone_number:
                  type: string
                gender:
                  type: string
                hr:
                  type: integer
                  format: int64
                manager:
                  type: integer
                  format: int64
                company_legal_entity:
                  type: integer
                  format: int64
                employment_status:
                  type: string
                slack_id:
                  type: string
                azure_id:
                  type: string
                external_id:
                  type: string
                external_app_type:
                  $ref: >-
                    #/components/schemas/ApiV1UsersUserIdPutRequestBodyContentApplicationJsonSchemaExternalAppType
                org_roles:
                  type: array
                  items:
                    type: integer
                    format: int64
                password:
                  type: string
                profile_image:
                  type: integer
                  format: int64
                custom_fields:
                  $ref: >-
                    #/components/schemas/ApiV1UsersUserIdPutRequestBodyContentApplicationJsonSchemaCustomFields
                is_deleted:
                  type: boolean
                has_reporters:
                  type: boolean
                  default: false
                notification_enabled:
                  type: boolean
                  description: Enable/disable notifications for the user
servers:
  - url: https://{tenant}.atomicwork.com
    description: Your Atomicwork tenant
components:
  schemas:
    ApiV1UsersUserIdPutRequestBodyContentApplicationJsonSchemaExternalAppType:
      type: string
      enum:
        - MICROSOFT
        - OKTA
        - GOOGLE
        - RAPID7
        - JUMPCLOUD
      title: >-
        ApiV1UsersUserIdPutRequestBodyContentApplicationJsonSchemaExternalAppType
    ApiV1UsersUserIdPutRequestBodyContentApplicationJsonSchemaCustomFields:
      type: object
      properties: {}
      title: ApiV1UsersUserIdPutRequestBodyContentApplicationJsonSchemaCustomFields
    Users_putapi_v1_users__user_id_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Users_putapi_v1_users__user_id_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

```

## Examples



**Request**

```json
{
  "email": "jane.doe@atomicwork.com",
  "first_name": "Jane",
  "middle_name": "A.",
  "last_name": "Doe",
  "personal_email": "jane.doe.personal@example.com",
  "timezone": "America/New_York",
  "language": "en",
  "state": "California",
  "city": "San Francisco",
  "country": "USA",
  "department": 12,
  "team": 5,
  "level": "Senior",
  "title": "Product Manager",
  "address": "123 Market St, San Francisco, CA 94103"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://{tenant}.atomicwork.com/api/v1/users/1"

payload = {
    "email": "jane.doe@atomicwork.com",
    "first_name": "Jane",
    "middle_name": "A.",
    "last_name": "Doe",
    "personal_email": "jane.doe.personal@example.com",
    "timezone": "America/New_York",
    "language": "en",
    "state": "California",
    "city": "San Francisco",
    "country": "USA",
    "department": 12,
    "team": 5,
    "level": "Senior",
    "title": "Product Manager",
    "address": "123 Market St, San Francisco, CA 94103"
}
headers = {
    "X-Workspace-Id": "{{workspace_id}}",
    "X-Api-Key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant}.atomicwork.com/api/v1/users/1';
const options = {
  method: 'PUT',
  headers: {
    'X-Workspace-Id': '{{workspace_id}}',
    'X-Api-Key': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '{"email":"jane.doe@atomicwork.com","first_name":"Jane","middle_name":"A.","last_name":"Doe","personal_email":"jane.doe.personal@example.com","timezone":"America/New_York","language":"en","state":"California","city":"San Francisco","country":"USA","department":12,"team":5,"level":"Senior","title":"Product Manager","address":"123 Market St, San Francisco, CA 94103"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{tenant}.atomicwork.com/api/v1/users/1"

	payload := strings.NewReader("{\n  \"email\": \"jane.doe@atomicwork.com\",\n  \"first_name\": \"Jane\",\n  \"middle_name\": \"A.\",\n  \"last_name\": \"Doe\",\n  \"personal_email\": \"jane.doe.personal@example.com\",\n  \"timezone\": \"America/New_York\",\n  \"language\": \"en\",\n  \"state\": \"California\",\n  \"city\": \"San Francisco\",\n  \"country\": \"USA\",\n  \"department\": 12,\n  \"team\": 5,\n  \"level\": \"Senior\",\n  \"title\": \"Product Manager\",\n  \"address\": \"123 Market St, San Francisco, CA 94103\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Workspace-Id", "{{workspace_id}}")
	req.Header.Add("X-Api-Key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.atomicwork.com/api/v1/users/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Workspace-Id"] = '{{workspace_id}}'
request["X-Api-Key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"jane.doe@atomicwork.com\",\n  \"first_name\": \"Jane\",\n  \"middle_name\": \"A.\",\n  \"last_name\": \"Doe\",\n  \"personal_email\": \"jane.doe.personal@example.com\",\n  \"timezone\": \"America/New_York\",\n  \"language\": \"en\",\n  \"state\": \"California\",\n  \"city\": \"San Francisco\",\n  \"country\": \"USA\",\n  \"department\": 12,\n  \"team\": 5,\n  \"level\": \"Senior\",\n  \"title\": \"Product Manager\",\n  \"address\": \"123 Market St, San Francisco, CA 94103\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://{tenant}.atomicwork.com/api/v1/users/1")
  .header("X-Workspace-Id", "{{workspace_id}}")
  .header("X-Api-Key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"jane.doe@atomicwork.com\",\n  \"first_name\": \"Jane\",\n  \"middle_name\": \"A.\",\n  \"last_name\": \"Doe\",\n  \"personal_email\": \"jane.doe.personal@example.com\",\n  \"timezone\": \"America/New_York\",\n  \"language\": \"en\",\n  \"state\": \"California\",\n  \"city\": \"San Francisco\",\n  \"country\": \"USA\",\n  \"department\": 12,\n  \"team\": 5,\n  \"level\": \"Senior\",\n  \"title\": \"Product Manager\",\n  \"address\": \"123 Market St, San Francisco, CA 94103\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://{tenant}.atomicwork.com/api/v1/users/1', [
  'body' => '{
  "email": "jane.doe@atomicwork.com",
  "first_name": "Jane",
  "middle_name": "A.",
  "last_name": "Doe",
  "personal_email": "jane.doe.personal@example.com",
  "timezone": "America/New_York",
  "language": "en",
  "state": "California",
  "city": "San Francisco",
  "country": "USA",
  "department": 12,
  "team": 5,
  "level": "Senior",
  "title": "Product Manager",
  "address": "123 Market St, San Francisco, CA 94103"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Api-Key' => '<apiKey>',
    'X-Workspace-Id' => '{{workspace_id}}',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://{tenant}.atomicwork.com/api/v1/users/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Workspace-Id", "{{workspace_id}}");
request.AddHeader("X-Api-Key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"email\": \"jane.doe@atomicwork.com\",\n  \"first_name\": \"Jane\",\n  \"middle_name\": \"A.\",\n  \"last_name\": \"Doe\",\n  \"personal_email\": \"jane.doe.personal@example.com\",\n  \"timezone\": \"America/New_York\",\n  \"language\": \"en\",\n  \"state\": \"California\",\n  \"city\": \"San Francisco\",\n  \"country\": \"USA\",\n  \"department\": 12,\n  \"team\": 5,\n  \"level\": \"Senior\",\n  \"title\": \"Product Manager\",\n  \"address\": \"123 Market St, San Francisco, CA 94103\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Workspace-Id": "{{workspace_id}}",
  "X-Api-Key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "email": "jane.doe@atomicwork.com",
  "first_name": "Jane",
  "middle_name": "A.",
  "last_name": "Doe",
  "personal_email": "jane.doe.personal@example.com",
  "timezone": "America/New_York",
  "language": "en",
  "state": "California",
  "city": "San Francisco",
  "country": "USA",
  "department": 12,
  "team": 5,
  "level": "Senior",
  "title": "Product Manager",
  "address": "123 Market St, San Francisco, CA 94103"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{tenant}.atomicwork.com/api/v1/users/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```